//
// Created by spenc on 5/21/2025.
//

#ifndef ASSET_H
#define ASSET_H
#include "Logger.h"

namespace OX {

    class Asset {
    public:
        virtual ~Asset() = default;
        virtual std::string GetTypeName() const = 0;
        virtual bool LoadFromFile(const std::string& path) = 0;
    };

} // OX

#endif //ASSET_H
